# Gebruikershandleiding van meinproc6

2014-05-08
Frameworks 5.0
KDE Frameworks

meinproc6
1

# `meinproc6`

&kde; vertaler voor &XML;

## Samenvatting

    meinproc6 -h, --help -v, --version --cache bestand --check --srcdir map --param sleutelwoord=waarde   -o --output   bestand  --stdout --stylesheet xsl docbook_bestand

## Beschrijving

`meinproc6` converteert DocBook-bestanden naar &HTML;.

## Algemene opties

`-h``--help`

  Hulp over de opties tonen.

`-v``--version`

  Versie-informatie tonen

## Programmaopties

`--cache` `bestand`

  Bufferbestand aanmaken voor het document.

`--check`

  Geldigheid van het document controleren.

      De uitvoer kan enigszins uitdagend zijn, omdat één kleine fout een waterval van fouten kan veroorzaken.
      De truc is om naar de eerste fout te kijken, die verbeteren, het bestand opslaan en meinproc6 opnieuw uitvoeren.

`-o`, `--output` `bestand`

  Gehele document uitvoeren naar `bestand`.

`--stdout`

  Gehele document uitvoeren naar stdout.

`--stylesheet` `xsl`

  Te gebruiken stijlblad.

`--srcdir` `map`

  Stel de hoofdmap in om te zoeken naar kdoctools.

`--param` key=waarde

  Stel parameters in om door te geven aan het stijlblad.

## Gebruik

De meest gewone manier om `meinproc6` uit te voeren is gewoon als

    meinproc6 docbook-bestand

waar docbook-bestand meestal index.docbook is. Dit commando maakt &HTML;-pagina's aan uit het DocBook-bestand. Opmerking: deze pagina's zijn alleen in te zien in de op &kde; gebaseerde browsers (zoals &konqueror;).

Als u de &HTML;-uitvoer in een andere browser wilt zien (bijvoorbeeld, als u het online zet), gebruik dan

    meinproc6 --stylesheet stylesheet-naam docbook-bestand

waar stylesheet-naam het volledige pad is naar een van de &XSL;-stijlbladen in <kdoctools_installatie_prefix>/share/kf5/kdoctools/customization/. Om uitvoer te maken dat geschikt is voor het web, kunt u het commando `kde-web.xsl` of `kde-chunk-online.xsl` gebruiken. Zie het bestand `README` in die map voor meer details.

## Zie ook

kf6opties(7), qt6opties(7)

## Fouten/bugs

Gebruik De volger van bugs van &kde; om ze te rapporteren.